Skip to main content
POST
/
campaigns
/
v2
/
{campaignId}
/
columns
Create column
curl --request POST \
  --url https://inboxapp.com/api/v1/campaigns/v2/{campaignId}/columns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<unknown>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign.

Pattern: ^[0-9a-z]+$

Body

application/json
name
string
required

The display name of the column. Maximum 255 characters.

Required string length: 1 - 255
Example:

"Company Name"

description
string

A brief description of what this column stores.

Maximum string length: 1000
Example:

"The lead's current company or organization"

Response

200 - application/json

OK

id
string
required

Unique identifier for the column.

name
string
required

Display name of the column.

type
any
required

The data type of the column.

createdAt
string<date-time>
required

When the column was created.

updatedAt
string<date-time> | null
required

When the column was last updated.

description
string | null

Optional description of what this column contains.